@echo off
rem Script: setup.cmd
rem Title:  Script start executable setup jar
rem Author: oliver.haufe@sos-berlin.com

set /A JAVA_VERSION=0

set PARAM_XML_FILE=%~f1
if not defined PARAM_XML_FILE (
  start javaw.exe -jar "%~dp0joc.1.11.0-RC4.jar"
) else (
  call :check_java_version
  java.exe -jar "%~dp0joc.1.11.0-RC4.jar" "%PARAM_XML_FILE%"
)
goto final

:check_java_version
@rem check if java version at least 1.8
for /F "usebackq tokens=3" %%a in (`"java.exe" -version 2^>^&1`) do (
  for /F "delims=. tokens=1,2" %%i in ( "%%~a" ) do (
    set /A JAVA_VERSION=%%i*10000+%%j
    goto check_java_version2
  )
)
:check_java_version2
if defined JAVA_VERSION (
  if %JAVA_VERSION% LSS 10008 (
    echo ... the java version of "java.exe" is less than 1.8.x
    echo ... please install a java runtime environment at least 1.8.x
    exit 1
  )
)
goto final

:final